﻿using System.Collections;
using System.Reflection;
using System.Xml.Serialization;

internal class Program
{
    static void Main(string[] args)
    {
        {
            XmlSerializer xs = new XmlSerializer(typeof(MyType));
            MyType inst = new MyType { Age = 6 };

            MemoryStream ms = new MemoryStream();
            xs.Serialize(ms, inst);

            ms.Position = 0;
            MyType? inst2 = xs.Deserialize(ms) as MyType;
            Console.WriteLine(inst2?.Age);
        }

        {
            XmlSerializer xs = new XmlSerializer(typeof(MyType2));
            MyType2 inst = new MyType2 { Age = 6 };

            MemoryStream ms = new MemoryStream();
            xs.Serialize(ms, inst);

            ms.Position = 0;
            MyType2? inst2 = xs.Deserialize(ms) as MyType2;
            Console.WriteLine(inst2?.Age);
        }
    }
}

[XmlSerializerAssemblyAttribute()]
public class MyType
{
    public int Age;
}


[XmlSerializerAssemblyAttribute()]
public class MyType2
{
    public int Age;
}


namespace Microsoft.Xml.Serialization.GeneratedAssembly
{
    public class XmlSerializerContract : XmlSerializerImplementation
    {
        public XmlSerializerContract()
        {
        }

        public override bool CanSerialize(Type type)
        {
            return false;
        }

        public override XmlSerializationReader Reader => null;
        public override XmlSerializationWriter Writer => null;
        public override XmlSerializer GetSerializer(Type type)
        {
            return null;
        }

        public override Hashtable ReadMethods => null;
        public override Hashtable WriteMethods => null;
        public override Hashtable TypedSerializers => null;
    }
}